ALTER TABLE hrsa_tax_agent_emp
    ADD COLUMN employee_type int(0) NULL ;


ALTER TABLE hrsa_salary_archive
    ADD COLUMN employee_type int(0) NULL ;


ALTER TABLE hrsa_tax_agent_emp_change
    ADD COLUMN employee_type int(0) NULL ;

ALTER TABLE hrsa_salary_acct_emp
    ADD COLUMN employee_type int(0) NULL ;

ALTER TABLE hrsa_salary_send_info ADD COLUMN employee_type int(0) ;

CREATE TABLE hrsa_external_employee
(
    id               bigint(0) NOT NULL,
    username         varchar(255) NULL DEFAULT NULL COMMENT '姓名',
    department_name  varchar(255) NULL DEFAULT NULL COMMENT '部门',
    department_id    bigint(0) NULL DEFAULT NULL COMMENT '部门ID',
    subcompany_name  varchar(255) NULL DEFAULT NULL COMMENT '分部',
    subcompany_id    bigint(0) NULL DEFAULT NULL COMMENT '分部ID',
    jobtitle_name    varchar(255) NULL DEFAULT NULL COMMENT '岗位',
    jobtitle_id      bigint(0) NULL DEFAULT NULL COMMENT '岗位ID',
    companystartdate varchar(255) NULL DEFAULT NULL COMMENT '入职日期',
    mobile           varchar(255) NULL DEFAULT NULL COMMENT '手机',
    status           varchar(255) NULL DEFAULT NULL COMMENT '状态编码',
    workcode         varchar(255) NULL DEFAULT NULL COMMENT '工号',
    sex              varchar(255) NULL DEFAULT NULL COMMENT '性别',
    email            varchar(255) NULL DEFAULT NULL COMMENT '邮件',
    telephone        varchar(255) NULL DEFAULT NULL COMMENT '电话',
    jobcall          varchar(255) NULL DEFAULT NULL COMMENT '职称',
    birthday         varchar(255) NULL DEFAULT NULL COMMENT '出生日期',
    id_no            varchar(255) NULL DEFAULT NULL COMMENT '身份证号码',
    bank_card_num    varchar(255) NULL DEFAULT NULL COMMENT '本人开户的银行卡卡号',
    bank_name        varchar(255) NULL DEFAULT NULL COMMENT '本人开户的银行卡开户支行全称',
    delete_type      int(0) NULL DEFAULT NULL COMMENT '是否已删除。0：未删除、1：已删除',
    creator          bigint(0) NULL DEFAULT NULL COMMENT '创建人',
    modifier         bigint(0) NULL DEFAULT NULL COMMENT '修改人',
    create_time      datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
    update_time      datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
    tenant_key       varchar(255) NULL DEFAULT NULL COMMENT '租户ID',
    PRIMARY KEY (id) USING BTREE
);

CREATE TABLE hrsa_salary_sob_ext_range
(
    id            bigint(0) NOT NULL COMMENT '主键id',
    salary_sob_id bigint(0) NOT NULL DEFAULT 0 COMMENT '账套id',
    target_type   tinyint(0) NOT NULL DEFAULT 1 COMMENT '对象类型。1：外部人员',
    target_id     bigint(0) NOT NULL DEFAULT 0 COMMENT '对象id',
    creator       bigint(0) NOT NULL DEFAULT 0 COMMENT '创建人',
    create_time   datetime(0) NOT NULL COMMENT '创建时间',
    update_time   datetime(0) NOT NULL COMMENT '更新时间',
    delete_type   int(0) NOT NULL DEFAULT 0 COMMENT '是否已删除。0：未删除、1：已删除',
    tenant_key    varchar(10) NOT NULL DEFAULT '' COMMENT '租户ID',
    PRIMARY KEY (id) USING BTREE,
    INDEX         idx_tenant(tenant_key) USING BTREE,
    INDEX         idx_tenant_key(tenant_key) USING BTREE
);

CREATE TABLE hrsa_tax_agent_ext_range
(
    id           bigint(0) NOT NULL COMMENT '主键id',
    tax_agent_id bigint(0) NOT NULL DEFAULT 0 COMMENT '个税扣缴义务人的id',
    target_type  tinyint(0) NOT NULL DEFAULT 1 COMMENT '对象类型。1：外部人员',
    target_id    bigint(0) NOT NULL DEFAULT 0 COMMENT '对象id',
    creator      bigint(0) NOT NULL DEFAULT 0 COMMENT '创建人',
    create_time  datetime(0) NOT NULL COMMENT '创建时间',
    update_time  datetime(0) NOT NULL ON UPDATE CURRENT_TIMESTAMP (0) COMMENT '更新时间',
    delete_type  int(0) NOT NULL DEFAULT 0 COMMENT '是否已删除。0：未删除、1：已删除',
    tenant_key   varchar(10) NOT NULL DEFAULT '' COMMENT '租户ID',
    PRIMARY KEY (id) USING BTREE,
    INDEX        idx_tenant(tenant_key) USING BTREE,
    INDEX        idx_tenant_key(tenant_key) USING BTREE
);